<?php

namespace common\services\Producer;

use common\logic\BaseService;
use common\logic\UtilsInterface;
use common\models\Producer;

class ProducerUtils extends BaseService implements UtilsInterface
{
    public function sendEmailNewProducer(Producer $producer)
    {
        \Yii::$app->mailer->compose(
            [
                'html' => 'new-producer-html',
                'text' => 'new-producer-text'
            ], [
            'producer' => $producer
        ])
            ->setTo(\Yii::$app->params['adminEmail'])
            ->setFrom([\Yii::$app->params['adminEmail'] => 'distrib'])
            ->setSubject('[Opendistrib] Nouveau producteur')
            ->send();
    }
}