<?php

namespace common\containers;

use common\logic\ContainerInterface;
use common\logic\UserProducer\UserProducerModel;
use common\repositories\UserProducerRepository;

class UserProducerContainer implements ContainerInterface
{
    public function getEntityFqcn(): string
    {
        return UserProducerModel::class;
    }

    public function getServices(): array
    {
        return [
            UserProducerRepository::class
        ];
    }


    public function getRepository()
    {
        return new UserProducerRepository();
    }
}